> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nscale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List models

> Returns a list of models available for the specified organization.



## OpenAPI

````yaml /openapi/serverless-openapi.yaml get /v1/models
openapi: 3.0.0
info:
  title: Nscale Inference API
  version: 1.26.0
servers:
  - url: https://aiproxy.infaas-amd-dev.glo1.nscale.com
security: []
tags:
  - name: Inference
  - name: Models
paths:
  /v1/models:
    get:
      tags:
        - Models
      summary: List models
      description: Returns a list of models available for the specified organization.
      responses:
        '200':
          description: ''
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/ModelList'
        '404':
          description: ''
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - IdentityAuthorization: []
components:
  schemas:
    ModelList:
      type: object
      title: ModelList
      required:
        - object
        - data
      properties:
        object:
          type: string
        data:
          type: array
          items:
            $ref: '#/components/schemas/Model'
    ErrorResponse:
      type: object
      title: ErrorResponse
      required:
        - error
      properties:
        error:
          $ref: '#/components/schemas/ApiError'
    Model:
      type: object
      title: Model
      required:
        - id
        - object
        - owned_by
      properties:
        id:
          type: string
        object:
          type: string
        owned_by:
          type: string
        pricing:
          $ref: '#/components/schemas/ModelPricing'
        context_length:
          type: integer
          format: uint32
    ApiError:
      type: object
      title: ApiError
      required:
        - code
        - message
        - error_type
      properties:
        code:
          type: string
        message:
          type: string
        param:
          type: string
        error_type:
          type: string
    ModelPricing:
      type: object
      title: ModelPricing
      required:
        - input
        - output
      properties:
        input:
          type: number
          format: double
          description: >-
            Price for input: per million input tokens (text models) or 0 (image
            models)
        output:
          type: number
          format: double
          description: >-
            Price for output: per million output tokens (text models) or per
            million pixels (image models)
  securitySchemes:
    IdentityAuthorization:
      type: http
      description: Security scheme that accepts Unikorn Identity JWTs.
      scheme: bearer

````